%define upstream_name    RT-Client-REST
%define upstream_version 0.50

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Talk to RT using REST protocol
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/RT/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DateTime)
BuildRequires: perl(DateTime::Format::DateParse)
BuildRequires: perl(Encode)
BuildRequires: perl(Error)
BuildRequires: perl(Exception::Class)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(HTTP::Cookies)
BuildRequires: perl(HTTP::Request::Common)
BuildRequires: perl(HTTP::Server::Simple) >= 0.440.0
BuildRequires: perl(LWP)
BuildRequires: perl(Params::Validate)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildRequires: perl(URI)
BuildArch:  noarch

%description
*RT::Client::REST* is */usr/bin/rt* converted to a Perl module. I needed to
implement some RT interactions from my application, but did not feel that
invoking a shell command is appropriate. Thus, I took *rt* tool, written by
Abhijit Menon-Sen, and converted it to an object-oriented Perl module.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

rm -f t/80-timeout.t

%install
%makeinstall_std

%files
%doc CHANGES META.yml MYMETA.yml README TODO examples
%{_mandir}/man3/*
%perl_vendorlib/RT/

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.500.0-3pclos2017
- rebuild against updates

